## com.lowagie.text.pdf
Class PdfPKCS7.X509NameTokenizer

    java.lang.Object
      com.lowagie.text.pdf.PdfPKCS7.X509NameTokenizer

Enclosing class:
  PdfPKCS7

public static class PdfPKCS7.X509NameTokenizer
extends Object

class for breaking up an X500 Name into it's component tokens, ala java.util.StringTokenizer. We need this class as some of the lightweight Java environment don't support classes like StringTokenizer.

Field Summary
`private StringBuffer` `buf`
`private int` `index`
`private String` `oid`

Constructor Summary
`PdfPKCS7.X509NameTokenizer(String oid)`

Method Summary
`boolean` `hasMoreTokens()`
`String` `nextToken()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oid

    private String oid

### index

    private int index

### buf

    private StringBuffer buf

Constructor Detail

### PdfPKCS7.X509NameTokenizer

    public PdfPKCS7.X509NameTokenizer(String oid)

Method Detail

### hasMoreTokens

    public boolean hasMoreTokens()

### nextToken

    public String nextToken()